GETNAME(8)

NAME
getNAME - get NAME sections from manual source for whatis/apropos data base

SYNOPSIS
getNAME [-itw] path [path ...]

DESCRIPTION
The getNAME program looks inside manual sources to retrieve the NAME section of the manual page. It can be used to create a table of contents, report the style of manual, or to create an introduction to the manual section. By default, getNAME returns data for use in an apropos(1) database. getNAME is designed to be called from makewhatis(8) or other manual grovelling tools, not to be used directly.

The options are as follows:

-i  Returns information useful in creating an introduction to a manual section. See intro(1), intro(2), etc. for examples.

-t  Returns information useful for creating a table of contents.

-w  Determines whether traditional man (“OLD”), new mandoc (“NEW”), or some unknown (“UNKNOWN”) format exists.

SEE ALSO
apropos(1), man(1), whatis(1), makewhatis(8)

HISTORY
The getNAME command first appeared in 2.0BSD.

BUGS
It would be nice if getNAME could deal with preformatted manuals.